Vlisp question

Discussion in 'AutoCAD' started by Steven D. Papke, Aug 25, 2003.

  1. (setq lstent (entlast))
    (vla-put-layer lstent "defpoints")

    What am I missing with this snip of code? Is it passing a variable
    incorrectly?
     
    Steven D. Papke, Aug 25, 2003
    #1
  2. No problem,

    I'm not familiar with AcCmColor - is this a new property in 2004?

    You can display the properties of an entity using vlax-dump-Object

    Peter
     
    PeterSCiganek, Aug 25, 2003
    #2
  3. The help states that the Color property will be removed in future versions of AutoCAD.




    --
    There are 10 kinds of people. Those who understand binary and those who don't.



     



    http://code.acadx.com




    "PeterSCiganek" <> wrote in message news:...



    How does one add a specific color to this line of code? Note I remarked out the second line. Not sure how to approach this. Thanks.

    (vla-put-layer (vlax-ename->vla-object lstent) "defpoints")
    ; (vla-put-property (vlax-ename->vla-object lstent) AcCmColor.251))

    - use either
    (vlax-put-property (vlax-ename->vla-object lstent) 'Color 251)

    or

    (vla-put-Color (vlax-ename->vla-object lstent) 251)

    Peter
     
    Frank Oquendo, Aug 25, 2003
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.